textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm hint
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/ladder
{
	qer_editorimage textures/common/nodraw.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm origin
}

textures/Flamme
{
	qer_editorimage textures/NCC/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 120000
	{
		animMap 10 textures/NCC/sfx/flame1.tga textures/NCC/sfx/flame2.tga textures/NCC/sfx/flame3.tga textures/NCC/sfx/flame4.tga textures/NCC/sfx/flame5.tga textures/NCC/sfx/flame6.tga textures/NCC/sfx/flame7.tga textures/NCC/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/NCC/sfx/flame2.tga textures/NCC/sfx/flame3.tga textures/NCC/sfx/flame4.tga textures/NCC/sfx/flame5.tga textures/NCC/sfx/flame6.tga textures/NCC/sfx/flame7.tga textures/NCC/sfx/flame8.tga textures/NCC/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/NCC/glass1
{
	qer_editorimage textures/NCC/Glass/glass1.tga
	qer_trans 0.1
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/NCC/Glass/glass2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/NCC/glassgrau
{
	qer_editorimage textures/NCC/Glass/glass4.tga
	qer_trans 0.1
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/NCC/Glass/glass3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/NCC/NCC_misc/flag
{
	tessSize 16
	deformVertexes wave 1000 sin 1 3 0 .1
	deformVertexes normal .2 .1
	surfaceparm nomarks
	cull none
	{
		map textures/NCC/NCC_misc/flag.tga
		rgbGen identity
	}
	{
		map textures/NCC/NCC_misc/flag1.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/NCC/NCC_misc/flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/NCC/NCC_misc/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/NCC/NCC_misc/spinnennetz
{
	qer_editorimage textures/NCC/NCC_misc/spinnenwebe.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/NCC/NCC_misc/spinnenwebe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/NCC/tree/kiefer
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/NCC/tree/acer.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/NCC/tree/tanne1
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/NCC/tree/tanne1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/sfx/flame1dark
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2000
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/skies/western
{
	qer_editorimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .7 .7 .7 25 85 25
	q3map_lightimage textures/NCC/NCC_misc/sky_morning.tga
	q3map_surfacelight 20
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/western 128 -
}

textures/western_water1
{
	qer_editorimage textures/liquids/pool3d_4b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 50
	surfaceparm fog
	fogparms ( .05 .5 .9 ) 250
	cull disable
	{
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125
		rgbgen identity
	}
}

